## ccss_function_t

ccss_function_t

## Functions

char * | (*ccss_function_f) ()

## Types and Values

| ccss_function_t

## Description

## Functions

### ccss_function_f ()

    char *
    (*ccss_function_f) (struct _GSList const *args,
                        void *user_data);

Prototype for a custom `CSS function' handler.

#### Parameters

args | argument-list passed to the function. |
user_data | user data associated to the function handler. |

#### Returns

the function's result as a string.

## Types and Values

### ccss_function_t

    typedef struct {
    	char const *name;
    	ccss_function_f	 function;
    	void		*user_data;
    } ccss_function_t;

This datastructure represents one line in the libccss' consumers vtable.

#### Members

char const *`name`; | identifier of the function, as used in CSS. |
ccss_function_f `function`; | handler, see ccss_function_f. |
void *`user_data`; | data to pass to the function handler. |